libtorch3c2_3.1-2.1_i386.deb


Advertisement

Description

libtorch3c2 - State of the art machine learning library - runtime library

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libtorch3c2
Package version 3.1
Package release 2.1
Package architecture i386
Package type deb
Installed size 628 B
Download size 226.54 KB
Official Mirror ftp.br.debian.org
Torch is a machine-learning library, written in C++.  Its aim is to
provide the state-of-the-art of the best algorithms for
machine-learning.
* Many gradient-based methods, including multi-layered perceptrons,
radial basis functions, and mixtures of experts.  Many small "modules"
(Linear module, Tanh module, SoftMax module, ...) can be plugged
together.
* Support Vector Machine, for classification and regression.
* Distribution package, includes Kmeans, Gaussian Mixture Models,
Hidden Markov Models, and Bayes Classifier, and classes for speech
recognition with embedded training.
* Ensemble models such as Bagging and Adaboost.
* Non-parametric models such as K-nearest-neighbors, Parzen Regression
and Parzen Density Estimator.
This package is the Torch runtime library.

Alternatives

Package Version Architecture Repository
libtorch3c2_3.1-2.1_amd64.deb 3.1 amd64 Debian Main
libtorch3c2 - - -

Requires

Name Value
libc6 >= 2.1.3
libgcc1 >= 1:4.1.1
libstdc++6 >= 4.1.1

Provides

Name Value
libtorch -

Conflicts

Name Value
libtorch3 -

Download

Type URL
Binary Package libtorch3c2_3.1-2.1_i386.deb
Source Package torch3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtorch3c2 deb package:
    # sudo apt-get install libtorch3c2

Files

Path
/usr/lib/libtorch.so.3
/usr/lib/libtorch.so.3.0.0
/usr/share/doc/libtorch3c2/README.Debian
/usr/share/doc/libtorch3c2/changelog.Debian.gz
/usr/share/doc/libtorch3c2/copyright

Changelog

2010-09-08 - Matthias Klose <doko@debian.org>
torch3 (3.1-2.1) unstable; urgency=low
* Non maintainer upload.
* Remove dependency on libstdc++6-4.1-dev. Closes: #595923.
* Fix build failure on the GNU/Hurd (Barry deFreese). Closes: #534223.
2008-07-08 - Cosimo Alfarano <kalfa@debian.org>
torch3 (3.1-2) unstable; urgency=low
* updated confusing changelog entry (closes: #319139)
* updated to standard version 3.8.0
* lintian cleaned
2006-12-10 - Aurelien Jarno <aurel32@debian.org>
torch3 (3.1-1.2) unstable; urgency=low
* Porter NMU.
* Added support for GNU/kFreeBSD (closes: #345235).
* Fix the indentation of the description (closes: #371833).
2006-09-04 - Matthias Klose <doko@debian.org>
torch3 (3.1-1.1) unstable; urgency=high
* NMU.
* libtorch3-dev: Fix libstdc++-dev debpendency.
2005-07-13 - Cosimo Alfarano <kalfa@debian.org>
torch3 (3.1-1) unstable; urgency=low
* Updated packagename and Co. for GCC 4.0 transition
2004-10-29 - Cosimo Alfarano <kalfa@debian.org>
torch3 (3.1-0) unstable; urgency=low
* New release from Upstream
closes:#276723
* Packages version updated to the upstream's one
(thanks to Barak for remembering me it)
* I've decided to use the old (debian-modified) makefile method, for the
moment. There is no real reason, now, to use their xmake python script
2004-06-08 - Cosimo Alfarano <kalfa@debian.org>
torch3 (0.0-7) unstable; urgency=low
* semi applied a non upstream patch by Alexander Kogan (thanks) for
core/general.cc
error() and warning() are OK for stderr using, but message() and print()
are not: they are intended for stdout outputs, if it's annoying it's only
because they're misused.
2004-05-27 - Cosimo Alfarano <kalfa@debian.org>
torch3 (0.0-6) unstable; urgency=low
* removing g++ from build depends, it's in build-essential
* libtorch3-dev: changed deps on libstdc++5-dev to libstdc++5-3.3-dev 
closes: Bug#249976
reason: g++ (3.3) is in build-essential, so libtorch3-dev cannot depend on
something depending on g++-3.2
* changing error() from using printf(...) to using fprintf(stdrr...) 
closes: Bug#251033
some printf are still around, I'm waiting for a patch from the bug
submitter.
2004-02-01 - Cosimo Alfarano <kalfa@debian.org>
torch3 (0.0-5) unstable; urgency=low
* Standards-Version updated to 3.6.1
2004-01-06 - Cosimo Alfarano <kalfa@debian.org>
torch3 (0.0-4) unstable; urgency=low
* removed any explicit reference to g++-3.2 using g++ instead
* dh_compress now do not compresses C++ sources (*.cc) anymore, so examples/
can be compiled without decompression

See Also

Package Description
libtorque2-dev_2.4.16+dfsg-1+deb7u4_i386.deb header files for libtorque2
libtorque2_2.4.16+dfsg-1+deb7u4_i386.deb shared library for Torque client and server
libtorrent-dev_0.13.2-1_i386.deb C++ BitTorrent library by Rakshasa (development files)
libtorrent-rasterbar-dev_0.15.10-1+b1_i386.deb Development files for libtorrent-rasterbar
libtorrent-rasterbar-doc_0.15.10-1_all.deb Documentation for libtorrent-rasterbar
libtorrent-rasterbar6_0.15.10-1+b1_i386.deb C++ bittorrent library by Rasterbar Software
libtorrent-ruby1.8_0.3-4_all.deb Transitional package for ruby-rubytorrent
libtorrent-ruby_0.3-4_all.deb Transitional package for ruby-rubytorrent
libtorrent14_0.13.2-1_i386.deb C++ BitTorrent library by Rakshasa
libtorture-dev_4.0.0~beta2+dfsg1-3.2+deb7u2_i386.deb Library for running unit tests - development files
libtorture0_4.0.0~beta2+dfsg1-3.2+deb7u2_i386.deb Library for running Samba 4 unit tests
libtotem-dev_3.0.1-8_i386.deb Main library for the Totem media player - development files
libtotem-pg-dev_1.4.2-3_i386.deb Standards-based cluster framework, Totem devel files
libtotem-pg4_1.4.2-3_i386.deb Standards-based cluster framework, Totem library
libtotem-plparser-dev_3.4.2-1_i386.deb Totem Playlist Parser library - development files
Advertisement
Advertisement